Our newest servers that are used come with Perl 5.8.8 installed.